3 QuickLOAD 3.9 upgrade version (3.0, 3.1, 3.2, 3.3, 3.4, 3.5, 3.6 )

 If you use QuickLOAD version 3.0 to version 3.6 and planning on using a Windows 7 machine you must install a Windows 7 compatible QuickLOAD disk.

 

QuickLOAD version 3.9 ( 3.0, 3.1, 3.2, 3.3, 3.4, 3.5, 3.6) upgrade

 

Send in your old CD and we will replace it with a Windows 7 / 8 compatible CD (also works with Windows XP and VISTA).

When you place your order you will be given the address to send your old disk to.